Package org.eclipse.swt.browser

# Interface ProgressListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

All Known Implementing Classes:
  `ProgressAdapter`

public interface ProgressListener extends SWTEventListener
This listener interface may be implemented in order to receive a `ProgressEvent` notification when a `Browser` makes a progress in loading the current URL or when the current URL has been loaded.

Since:
  3.0
See Also:
  - `Browser.addProgressListener(ProgressListener)`
  - `Browser.removeProgressListener(ProgressListener)`
  - `Browser.getUrl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`changed(ProgressEvent event)`
This method is called when a progress is made during the loading of the current location.
`static ProgressListener`
`changedAdapter(Consumer<ProgressEvent> c)`
Static helper method to create a `ProgressListener` for the `changed(ProgressEvent e)`) method, given a lambda expression or a method reference.
`void`
`completed(ProgressEvent event)`
This method is called when the current location has been completely loaded.
`static ProgressListener`
`completedAdapter(Consumer<ProgressEvent> c)`
Static helper method to create a `ProgressListener` for the `completed(ProgressEvent e)`) method, given a lambda expression or a method reference.

## Method Details

### changed

void changed(ProgressEvent event)
This method is called when a progress is made during the loading of the current location.

The following fields in the `ProgressEvent` apply:

- (in) current the progress for the location currently being loaded
- (in) total the maximum progress for the location currently being loaded
- (in) widget the `Browser` whose current URL is being loaded

Parameters:
  `event` - the `ProgressEvent` related to the loading of the current location of a `Browser`
Since:
  3.0

### completed

void completed(ProgressEvent event)
This method is called when the current location has been completely loaded.

The following fields in the `ProgressEvent` apply:

- (in) widget the `Browser` whose current URL has been loaded

Parameters:
  `event` - the `ProgressEvent` related to the `Browser` that has loaded its current URL.
Since:
  3.0

### changedAdapter

static ProgressListener changedAdapter(Consumer<ProgressEvent> c)
Static helper method to create a `ProgressListener` for the `changed(ProgressEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  LocationListener
Since:
  3.107

### completedAdapter

static ProgressListener completedAdapter(Consumer<ProgressEvent> c)
Static helper method to create a `ProgressListener` for the `completed(ProgressEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  LocationListener
Since:
  3.107